# Generated from net-ssh-telnet2-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name net-ssh-telnet2

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Provides Net::Telnet API for SSH connections
License: MIT
URL: https://github.com/duke-automation/net-ssh-telnet2
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A ruby module to provide a simple send/expect interface over SSH with an API
almost identical to Net::Telnet. Ideally it should be a drop in replacement.
Please see Net::Telnet for main documentation (included with ruby stdlib).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/Todo.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.txt
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/net-ssh-telnet.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.0-1
- Initial package
